<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if ( ! function_exists('check_login'))
{
	function check_login() 		//use to check session information...
	{
		
		$CI =& get_instance();
		if( $CI->session->userdata('hawai_admin') == "" )
		{
			redirect( INDEX.'admin/login','refresh' );
		}  
		
	}
}

if ( ! function_exists('chck_login'))
{
	function chck_login() 		//use to check session information...
	{
		
		$CI =& get_instance();
		if( $CI->session->userdata('logged_in') == "" )
		{
			redirect( 'login','refresh' );
		}  
		
	}
}
if ( ! function_exists('is_logging'))
{
	function is_logging() 		//use to check session information...

	{
		
		$CI =& get_instance();

		$logging_data = $CI->session->userdata('hawai_admin');

		if(!empty($logging_data)){
			
			return $logging_data;
			
      	}
		else{

			return false;

		}  
		
	}
}

if ( ! function_exists('get_allcategories'))
{
	function get_allcategories(){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('status',1);
		$CI->db->from('categories');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('get_categories'))
{
	function get_categories($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('category_id',$id);
		$CI->db->from('categories');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}
if ( ! function_exists('get_categoriesbyslug'))
{
	function get_categoriesbyslug($slug){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('slug',$slug);
		$CI->db->from('categories');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('getOrderUserName'))
{
	function getOrderUserName($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('id',$id);
		$CI->db->from('users');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('getOrderItems'))
{
	function getOrderItems($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('order_id',$id);
		$CI->db->from('order_items');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('getOrderItemName'))
{
	function getOrderItemName($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('id',$id);
		$CI->db->from('products');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('getOrderName'))
{
	function getOrderName($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('id',$id);
		$CI->db->from('orders');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}
if ( ! function_exists('getUserAddress'))
{
	function getUserAddress($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('user_id',$id);
		$CI->db->from('user_address');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('getParticularAddress'))
{
	function getParticularAddress($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('id',$id);
		$CI->db->from('user_address');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('getUserDiscount'))
{
	function getUserDiscount($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('userid',$id);
		$CI->db->from('user_discount');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('getgalleryimage'))
{
	function getgalleryimage($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('product_id',$id);
		$CI->db->from('gallery');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}
if ( ! function_exists('getcategoryimage'))
{
	function getcategoryimage($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('cat_id',$id);
		$CI->db->from('category_image');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('getadditionalinfo'))
{
	function getadditionalinfo($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('pro_id',$id);
		$CI->db->from('product_additional_info');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('getproductattributeinfo'))
{
	function getproductattributeinfo($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('pid',$id);
		$CI->db->from('product_attribute');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('attributevalue'))
{
	function attributevalue($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('attribute_value_id',$id);
		$CI->db->from('attribute_value');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('getrelatedproduct'))
{
	function getrelatedproduct($catid,$id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('3rdlevel_category',$catid);
		$CI->db->where_not_in('id',$id);
		$CI->db->from('products');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('getavgreview'))
{
	function getavgreview($id){

		$CI =& get_instance();
		$CI->db->select_avg('review');
		$CI->db->where('proid',$id);
		$CI->db->from('product_review');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('cartinfo'))
{
	function cartinfo($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('userid',$id);
		$CI->db->from('cart');
		
		$query =  $CI->db->get();
		return $query->result_array();
	}
}

if ( ! function_exists('cartproductstatus'))
{
	function cartproductstatus($productid,$colorid,$sizeid){
        if($sizeid =='' && $colorid ==''){
    		$CI =& get_instance();
    		$CI->db->select_sum('qnty');
    		$CI->db->where('pid',$productid);
    		$CI->db->from('product_attribute');
        }elseif($sizeid =='' && $colorid !=''){
    		$CI =& get_instance();
    		$CI->db->select_sum('qnty');
    		$CI->db->where('pid',$productid);
    		$CI->db->where('colorid',$colorid);
    		$CI->db->from('product_attribute');
        }elseif($sizeid !='' && $colorid ==''){
    		$CI =& get_instance();
    		$CI->db->select_sum('qnty');
    		$CI->db->where('pid',$productid);
    		$CI->db->where('sizeid',$sizeid);
    		$CI->db->from('product_attribute');
        }elseif($sizeid !='' && $colorid !=''){
    		$CI =& get_instance();
    		$CI->db->select('qnty');
    		$CI->db->where('pid',$productid);
    		$CI->db->where('sizeid',$sizeid);
    		$CI->db->where('colorid',$colorid);
    		$CI->db->from('product_attribute');
        }
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('get_unique_slug'))
{
	function get_unique_slug($slug,$table){
		$CI =& get_instance();
		//$slug = url_title($this->input->post('category_name'), 'dash', TRUE);
		$CI->db->select('count(*) as slugcount');
		$CI->db->from($table);
		$CI->db->where('slug like', $slug.'%');

		$query = $CI->db->get();
		if($query->row(0)->slugcount>0){
    		return $slug.'-'.$query->row(0)->slugcount;
		}else{
    		return $slug;
		}
	}
}

if ( ! function_exists('buildTree'))
{
 	function buildTree(array $elements, $parentId = 0) {
    $branch = array();

    foreach ($elements as $element) {
        if ($element['parent_category'] == $parentId) {
            $children = buildTree($elements, $element['category_id']);
            if ($children) {
                $element['children'] = $children;
            }
            $branch[] = $element;
        }
    }

    return $branch;
  }
}

// function to get  the address
if ( ! function_exists('get_lat_long'))
{
	function get_lat_long($address){

	   if(!empty($address)){
	        //Formatted address

	        $formattedAddr = str_replace(' ','+',$address);
	        //Send request and receive json data by address
	        $geocodeFromAddr = file_get_contents('https://maps.googleapis.com/maps/api/geocode/json?address='.$formattedAddr.'&sensor=false');
	        $output = json_decode($geocodeFromAddr);
	        //Get latitude and longitute from json data
	       
	        $data['lat']  = $output->results[0]->geometry->location->lat; 
	        $data['long'] = $output->results[0]->geometry->location->lng;
	        //Return latitude and longitude of the given address
	        if(!empty($data)){
	            return $data;
	        }else{
	            return false;
	        }
	    }else{
	        return false;   
	    }
	}
}

if ( ! function_exists('globalInfo'))
{
	function globalInfo(){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->from('sites');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('adminInfo'))
{
	function adminInfo($id){

		$CI =& get_instance();
		$CI->db->select('*');
		$CI->db->where('id',$id);
		$CI->db->from('admins');
		
		$query =  $CI->db->get();
		return $query->row_array();
	}
}

if ( ! function_exists('succes_message'))
{
	function succes_message($mess){

		$message =  '<div style="" id="succes_mess" class="alert alert-success alert-dismissable">

							<i class="fa fa-check"></i>

							<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

							<b>Success! </b> '.$mess.'

						</div>

					<script>

					function explode(){

						$("#succes_mess").hide();

					  //alert("Boom!");

					}

					setTimeout(explode, 5000);

					</script>';

		return $message;

	}

}	
if ( ! function_exists('error_message'))
{
	function error_message($mess){

		$message = '<div id="error_mess" class="alert alert-danger alert-dismissable">

						<i class="fa fa-ban"></i>

						<button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>

						<b>Error! </b> '.$mess.'

					</div>

					<script>

					function explode(){

						$("#error_mess").hide();

					  //alert("Boom!");

					}

					setTimeout(explode, 5000);

					</script>';

					return $message;

	}
}
if ( ! function_exists('slug'))
{
	function slug($title=''){ 

		//$CI =& get_instance();

		$string = strtolower($title);

		//Make alphanumeric (removes all other characters)

		$string = preg_replace("/[^a-z0-9_\s-]/", "", $string);

		//Clean up multiple dashes or whitespaces

		$string = preg_replace("/[\s-]+/", " ", $string);

		//Convert whitespaces and underscore to dash

		$string = preg_replace("/[\s_]/", "-", $string);

		return $string;

	

	}
}

if ( ! function_exists('upload_single'))
{
	function upload_single($path='',$file='images',$type='jpg'){
		if(isset($_FILES)){
			$target_dir = UPLOAD.$path."/";
			$target_file = $target_dir.$_FILES[$file]['name'];
			if(move_uploaded_file($_FILES[$file]['tmp_name'],$target_file)){
				$file_arr = array('file_name'=>$_FILES[$file]['name'],'status'=>'1');	
			}else{
				$file_arr = array('file_name'=>$_FILES[$file]['name'],'status'=>'0');	
			}
			
			return $file_arr;
		
		}
		
	}
}

if ( ! function_exists('upload_multi'))
{
	function upload_multi($path='',$file='images',$type='jpg'){
		$images_arr = array();		
		foreach($_FILES[$file]['name'] as $key=>$val){
		$target_dir = UPLOAD_BASE."/";
		$target_file = $target_dir.$_FILES[$file]['name'][$key];
			if(move_uploaded_file($_FILES[$file]['tmp_name'][$key],$target_file)){	
				$file_arr[] = array('file_name'=>$_FILES['images']['name'][$key],'status'=>'1');
			}else{
				$file_arr[] = array('file_name'=>$_FILES['images']['name'][$key],'status'=>'0');
			}
		}
		return $file_arr;	
	}
}	


if ( ! function_exists('id_clean'))
{
	function id_clean($id,$size=11){
		//echo $id;
		$CI =& get_instance();
		$CI->load->helper('security');
		return intval(substr($id,0,$size));
	}
}
if ( ! function_exists('db_clean'))
{
	function db_clean($string){
		$CI =& get_instance();
		return $CI->security->xss_clean($string);
	}
	
}


if ( ! function_exists('emailing'))
{
	function emailing($data)
	{

		extract($data);

		$headers  = 'MIME-Version: 1.0' . "\r\n";
		$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
		$headers .= 'To: Subscriber $to ' . "\r\n";
		$headers .= 'From: Logocontest <info@logocontest.com>' . "\r\n";
			if(mail($data['to'],$data['subject'],$data['message'],$headers))
			{
				return true;
			}else{
				return false;

			}
		  
	}
}

if ( ! function_exists('getNextAlphaNumeric'))
{
	function getNextAlphaNumeric($data)
	{

		$base_ten = base_convert($data,36,10);
		return base_convert($base_ten+1,10,36);
	  
	}
}

if ( ! function_exists('gRString'))
{
	function gRString($length = 6) {
		$characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
		$charactersLength = strlen($characters);
		$randomString = '';
		for ($i = 0; $i < $length; $i++) {
			$randomString .= $characters[rand(0, $charactersLength - 1)];
		}
		return $randomString;
	}
}