<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Admin extends MX_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -  
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in 
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
	function __construct() {

		parent::__construct();
		check_login();
		$this->load->model(array('general_model'));
    }
	
	public function index()
	{
		$data['users'] = $this->general_model->get_where_all('users',array('status'=>1));
		
		$this->load->library('Layouts');
		$this->layouts->set_title('dashboard');
		$this->layouts->header_include('',false);
		$this->layouts->footer_include('',false);
		$this->layouts->view('dashboard',$data);
	}
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */