<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=1.0, minimum-scale=1.0, maximum-scale=1.0">

    <title>HEY-MOM</title>

    <!--main_css-->
    <link href="<?php echo base_url(); ?>htmlassests/css/style.css" rel="stylesheet" type="text/css">

    <!-- Bootstrap -->
    <link href="<?php echo base_url(); ?>htmlassests/css/bootstrap.min.css" rel="stylesheet">

    <!--responsive_css-->
    <link href="<?php echo base_url(); ?>htmlassests/css/responsive.css" rel="stylesheet" type="text/css">

    <!--font-awesome-->
    <link href="<?php echo base_url(); ?>htmlassests/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet">
    <!--<link rel="stylesheet" href="fontawesome-free-5.13.1-web/css/all.min.css">-->

    <!--owl-carousel-->
    <link href="<?php echo base_url(); ?>htmlassests/css/owl.carousel.min.css" rel="stylesheet" type="text/css">
    <link href="<?php echo base_url(); ?>htmlassests/css/owl.theme.default.min.css" rel="stylesheet" type="text/css">

    <!--animate-->
    <link href="<?php echo base_url(); ?>htmlassests/css/animate.css" rel="stylesheet" type="text/css">

    <!-- Light box-->
    <link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>htmlassests/css/lightbox.css">

    <!--favicon-->
    <link rel="icon" type="images/favicon.png" href="<?php echo base_url(); ?>htmlassests/images/favicon.png">

    <!--hover-->
    <link href="<?php echo base_url(); ?>htmlassests/css/hover-min.css" rel="stylesheet">
    <!--fonts-->
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="<?php echo base_url(); ?>htmlassests/js/jquery.js"></script>

</head>

<body>
    <!--loader
<div class="loader-screen"><img id="loader" src="images/loader.gif"></div>-->
    <!--loader end-->
    <!---->
    <!-- role="dialog" data-toggle="modal" data-target="#myModal"-->

    <!--
<div class="col-xl-8 col-lg-8 col-md-8 col-sm-8">
            
        </div>
-->
<!--side menu -->
<div class="sidemenu">
    <div class="close-menu">X</div>
    <div class="overlay"></div>
    <div class="menuslide">
        <div class="slide-mbl">
            <div class="menu-logo">
                <a href="<?php echo base_url(); ?>"><img src="<?php echo base_url(); ?>htmlassests/images/logo.png" /></a>
            </div>
            <ul class="menu">
                <li class="active"><a href="<?php echo base_url(); ?>">Home</a></li>
                <li><a href="<?php echo base_url('about-us'); ?>">About us</a></li>
                <li><i class="fas fa-plus"></i><a href="<?php echo base_url('product'); ?>">Product</a>
                    <ul>
                        <?php $allcetegories = get_allcategories(); 
                            if(!empty($allcetegories)){
                                foreach ($allcetegories as $key => $value) {
                        ?>
                        <li><a href="<?php echo base_url().'product/category/'.$value['slug']; ?>"><?php echo $value['category_name']; ?></a></li>
                        <?php } } ?>
                        
                    </ul>
                </li>
                <li><a href="<?php echo base_url('gallery'); ?>">Gallery</a></li>
                <li><a href="<?php echo base_url('contact-us'); ?>">Contact us</a></li>
                <li><a href="<?php echo base_url('team'); ?>">Team</a></li>
            </ul>
            <div class="social-menu">
                <ul>
                    <li><a href="#"><i class="fa fa-facebook"></i></a> </li>
                    <li><a href="#"><i class="fa fa-twitter"></i></a> </li>
                    <li><a href="#"><i class="fa fa-google"></i></a> </li>
                    <li><a href="#"><i class="fa fa-pinterest"></i></a> </li>
                    <li><a href="#"><i class="fa fa-instagram"></i></a> </li>
                </ul>
            </div>

            <div class="butn"> <a href="#">Learn More</a></div>
        </div>
        <div class="slide-dsktp">
            <div class="menu-logo">
                <a href="<?php echo base_url(); ?>"><img src="<?php echo base_url(); ?>htmlassests/images/logo.png" /></a>
            </div>
            <ul class="menu">
                <li class="active"><a href="<?php echo base_url(); ?>">Home</a></li>
                <li><a href="<?php echo base_url('about-us'); ?>">About us</a></li>
                <li class="dropdown"><a href="<?php echo base_url('product'); ?>">Product </a>
                    <ul>
                        <?php $allcetegories = get_allcategories(); 
                            if(!empty($allcetegories)){
                                foreach ($allcetegories as $key => $value) {
                        ?>
                        <li><a href="<?php echo base_url().'product/category/'.$value['slug']; ?>"><?php echo $value['category_name']; ?></a></li>
                        <?php } } ?>
                    </ul>
                </li>
                <li><a href="<?php echo base_url('gallery'); ?>">Gallery</a></li>
                <li><a href="<?php echo base_url('contact-us'); ?>">Contact us</a></li>
                <li><a href="<?php echo base_url('team'); ?>">Team</a></li>
                <!--<li><a href="<?php //echo base_url('privacy-policy'); ?>">Privacy policy</a></li>-->
                
            </ul>
        </div>
    </div>
</div>
    <!--    side menu end-->
<div class="clearfix"></div>

<!--header start-->
<div class="container-fluid hero-area">
    <div class="row ">
        <div class="container-fluid header">
            <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-6 col-sm-10 col-10 headerl">
                    <ul>
                        <li><a href="JavaScript:void(0);" class="open-menu"><img src="<?php echo base_url(); ?>htmlassests/images/menu.png" /></a></li>
                        <li>
                            <div class="logo">
                                <a href="<?php echo base_url(); ?>"><img src="<?php echo base_url(); ?>htmlassests/images/logo.png" alt="" /></a>
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="col-xl-8 col-lg-8 col-md-6 col-sm-2 col-2">
                    <div class="row">
                        <div class="m-sec col-xl-7 col-lg-7 col-md-12 col-sm-12">
                            <div class="search">
                                <form method="get" action="<?php echo base_url('product/search'); ?>">
                                    <input type="text" class="search-box" placeholder="Search " name="s" value="<?php if($_GET['s'] !=''){echo $_GET['s'];} ?>">
                                    <button class="sub-but" type="submit"><img src="<?php echo base_url(); ?>htmlassests/images/search.png"></button>
                                </form>
                            </div>
                        </div>
                        <div class="col-xl-5 col-lg-5 col-md-0 col-sm-0">
                            <div class="accounts">
                                <ul>
                                    <?php if($this->session->userdata['logged_in']['user_id'] ==''){ ?>
                                    <li><a href="<?php echo base_url('login'); ?>"><img src="<?php echo base_url(); ?>htmlassests/images/login.png" /> Log in</a></li>
                                    <?php }else{ ?>
                                        <li style="position: absolute; top: 0;"><a href="#"> Welcome <?php echo $this->session->userdata['logged_in']['name'] !='' ? $this->session->userdata['logged_in']['name'] : 'user'; ?></a></li>
                                        <li><a href="<?php echo base_url('account'); ?>"><img src="<?php echo base_url(); ?>htmlassests/images/myaccount.png"><span>My Account</span></a></li>
                                        <li><a href="<?php echo base_url('login/logout');?>"><img src="<?php echo base_url(); ?>htmlassests/images/logout.png"><span> Logout</span></a></li>
                                    <?php } ?>
                                    <li><a href="#"><img src="<?php echo base_url(); ?>htmlassests/images/support.png" /> Support</a></li>
                                    <li><a href="<?php echo base_url('cart'); ?>"><img src="<?php echo base_url(); ?>htmlassests/images/cart.png" />Cart(<?php $cartdata = cartinfo($this->session->userdata['logged_in']['user_id']); echo count($cartdata) !='' ? count($cartdata) : '0'; ?>) </a></li>
                                    
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class=" container-fluid  banner-text ">    
        </div>
    </div>
</div>
<div class="clearfix"></div>