<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title><?php echo SITE_NAME; ?> | <?php echo $title_for_layout ?></title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        
        <link rel="icon" href="favicon.ico" type="<?php echo base_url('assets')?>/image/x-icon" />
        <!-- END META SECTION -->
        
        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="<?php echo base_url('assets')?>/css/theme-default.css"/>
		<script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/jquery/jquery.min.js"></script>
        <!-- EOF CSS INCLUDE -->  
		<?php echo $this->layouts->print_header(); ?>	
    </head>
    <body>

        <!-- START PAGE CONTAINER -->
        <div class="page-container">
            
            <!-- START PAGE SIDEBAR -->
            <div class="page-sidebar">
                <!-- START X-NAVIGATION -->
                <ul class="x-navigation">
                    <li class="xn-logo">
                        <a href="<?php echo base_url(); ?>admin/dashboard"><?php echo SITE_NAME; ?></a>
                        <a href="#" class="x-navigation-control"></a>
                    </li>

                    <?php $admininfo = adminInfo($this->session->userdata['hawai_admin']['admin_id']); ?>
                    <li class="xn-profile">
                        <a href="<?php echo base_url(); ?>admin/dashboard" class="profile-mini">
                            <img src="<?php if(isset($admininfo['image']) && $admininfo['image'] !='') { echo base_url(); ?>uploads/user/<?php echo $admininfo['image']; }else{echo base_url('assets').'/img/avatar.png'; } ?>" alt="Admin"/>
                        </a>
                        <div class="profile">
                            <div class="profile-image">
                                <!-- <img src="<?php echo base_url('assets')?>/img/avatar.png" alt="Admin"/> -->

                                <img src="<?php if(isset($admininfo['image']) && $admininfo['image'] !='') { echo base_url(); ?>uploads/user/<?php echo $admininfo['image']; }else{echo base_url('assets').'/img/avatar.png'; } ?>" alt="Admin" style="width: 80px;"/>
                            </div>
                            <div class="profile-data">
                                <!-- <div class="profile-data-name"><?php $user = is_logging(); echo $user['admin_name']; ?></div> -->
                                <div class="profile-data-name"><?php echo isset($admininfo['name']) && $admininfo['name'] !='' ? $admininfo['name'] : 'Admin'; ?></div>
                                <!--<div class="profile-data-title">Web Developer/Designer</div>-->
                            </div>
							
                            <div class="profile-controls">
                                <a href="<?php echo base_url() ?>admin/profile" class="profile-control-left"><span class="fa fa-info"></span></a>
                                <a href="<?php echo base_url() ?>admin/profile/changepassword" class="profile-control-right"><span class="fa fa-key"></span></a>
                            </div>
							
                        </div>                                                                        
                    </li>
                    <?php $this->load->view('menu'); ?>
                    
                </ul>
                <!-- END X-NAVIGATION -->
            </div>
            <!-- END PAGE SIDEBAR -->
            
            <!-- PAGE CONTENT -->
            <div class="page-content">
                
                <!-- START X-NAVIGATION VERTICAL -->
                <ul class="x-navigation x-navigation-horizontal x-navigation-panel">
                    <!-- TOGGLE NAVIGATION -->
                    <li class="xn-icon-button">
                        <a href="#" class="x-navigation-minimize"><span class="fa fa-dedent"></span></a>
                    </li>
                    <!-- END TOGGLE NAVIGATION -->
                    <!-- SEARCH 
                    <li class="xn-search">
                        <form role="form">
                            <input type="text" name="search" placeholder="Search..."/>
                        </form>
                    </li>   
                    <!-- END SEARCH -->
                    <!-- SIGN OUT -->
                    <li class="xn-icon-button pull-right">
                        <a href="javascript:void(0);" class="mb-control" data-box="#mb-signout"><span class="fa fa-sign-out"></span></a>                        
                    </li> 
                    <!-- END SIGN OUT -->
                    <!-- MESSAGES 
                    <li class="xn-icon-button pull-right">
                        <a href="#"><span class="fa fa-comments"></span></a>
                        <div class="informer informer-danger">4</div>
                        <div class="panel panel-primary animated zoomIn xn-drop-left xn-panel-dragging">
                            <div class="panel-heading">
                                <h3 class="panel-title"><span class="fa fa-comments"></span> Messages</h3>                                
                                <div class="pull-right">
                                    <span class="label label-danger">4 new</span>
                                </div>
                            </div>
                            <div class="panel-body list-group list-group-contacts scroll" style="height: 200px;">
                                <a href="#" class="list-group-item">
                                    <div class="list-group-status status-online"></div>
                                    <img src="assets/images/users/user2.jpg" class="pull-left" alt="John Doe"/>
                                    <span class="contacts-title">John Doe</span>
                                    <p>Praesent placerat tellus id augue condimentum</p>
                                </a>
                                <a href="#" class="list-group-item">
                                    <div class="list-group-status status-away"></div>
                                    <img src="assets/images/users/user.jpg" class="pull-left" alt="Dmitry Ivaniuk"/>
                                    <span class="contacts-title">Dmitry Ivaniuk</span>
                                    <p>Donec risus sapien, sagittis et magna quis</p>
                                </a>
                                <a href="#" class="list-group-item">
                                    <div class="list-group-status status-away"></div>
                                    <img src="assets/images/users/user3.jpg" class="pull-left" alt="Nadia Ali"/>
                                    <span class="contacts-title">Nadia Ali</span>
                                    <p>Mauris vel eros ut nunc rhoncus cursus sed</p>
                                </a>
                                <a href="#" class="list-group-item">
                                    <div class="list-group-status status-offline"></div>
                                    <img src="assets/images/users/user6.jpg" class="pull-left" alt="Darth Vader"/>
                                    <span class="contacts-title">Darth Vader</span>
                                    <p>I want my money back!</p>
                                </a>
                            </div>     
                            <div class="panel-footer text-center">
                                <a href="pages-messages.html">Show all messages</a>
                            </div>                            
                        </div>                        
                    </li>
                    <!-- END MESSAGES -->
                    <!-- TASKS -->
                    <!-- <li class="xn-icon-button pull-right">
                        <a href="#"><span class="fa fa-tasks"></span></a>
                        <div class="informer informer-warning">3</div>
                        <div class="panel panel-primary animated zoomIn xn-drop-left xn-panel-dragging">
                            <div class="panel-heading">
                                <h3 class="panel-title"><span class="fa fa-tasks"></span> Tasks</h3>                                
                                <div class="pull-right">
                                    <span class="label label-warning">3 active</span>
                                </div>
                            </div>
                            <div class="panel-body list-group scroll" style="height: 200px;">                                
                                <a class="list-group-item" href="#">
                                    <strong>Phasellus augue arcu, elementum</strong>
                                    <div class="progress progress-small progress-striped active">
                                        <div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width: 50%;">50%</div>
                                    </div>
                                    <small class="text-muted">John Doe, 25 Sep 2014 / 50%</small>
                                </a>
                                <a class="list-group-item" href="#">
                                    <strong>Aenean ac cursus</strong>
                                    <div class="progress progress-small progress-striped active">
                                        <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%;">80%</div>
                                    </div>
                                    <small class="text-muted">Dmitry Ivaniuk, 24 Sep 2014 / 80%</small>
                                </a>
                                <a class="list-group-item" href="#">
                                    <strong>Lorem ipsum dolor</strong>
                                    <div class="progress progress-small progress-striped active">
                                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="95" aria-valuemin="0" aria-valuemax="100" style="width: 95%;">95%</div>
                                    </div>
                                    <small class="text-muted">John Doe, 23 Sep 2014 / 95%</small>
                                </a>
                                <a class="list-group-item" href="#">
                                    <strong>Cras suscipit ac quam at tincidunt.</strong>
                                    <div class="progress progress-small">
                                        <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;">100%</div>
                                    </div>
                                    <small class="text-muted">John Doe, 21 Sep 2014 /</small><small class="text-success"> Done</small>
                                </a>                                
                            </div>     
                            <div class="panel-footer text-center">
                                <a href="pages-tasks.html">Show all tasks</a>
                            </div>                            
                        </div>                        
                    </li> -->
                    <!-- END TASKS -->
                </ul>
                <!-- END X-NAVIGATION VERTICAL -->                     

                <!-- START BREADCRUMB 
                <ul class="breadcrumb">
                    <li><a href="<?php echo base_url(); ?>">Home</a></li>                    
                    <li class="active">Dashboard</li>
                </ul>
                <!-- END BREADCRUMB -->                       
                
                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">
                    
                    <!-- START WIDGETS -->                    
                    <?php echo $content_for_layout; ?> 
                    
                </div>
                <!-- END PAGE CONTENT WRAPPER -->                                
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->
		
		
		
		
		
        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> Log <strong>Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if youwant to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <a href="<?php echo base_url().'index.php/admin/logout' ?>" class="btn btn-success btn-lg">Yes</a>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

        <!-- START PRELOADS 
        <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
        <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
        <!-- END PRELOADS -->                  
        
    <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
		<script>var base_url = '<?php echo base_url().INDEX; ?>';</script>
        
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/jquery/jquery-ui.min.js"></script>
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/bootstrap/bootstrap.min.js"></script> 
        <!-- END PLUGINS -->
		
        <!-- START THIS PAGE PLUGINS-->        
        <script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/icheck/icheck.min.js'></script>        
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js"></script>
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/scrolltotop/scrolltopcontrol.js"></script>
		<script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/datatables/jquery.dataTables.min.js"></script> 
		<script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/noty/jquery.noty.js'></script>
		<script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/noty/jquery.noty.js'></script>
		<script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/noty/layouts/topCenter.js'></script>
		<script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/noty/layouts/topLeft.js'></script>  
		<script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/noty/layouts/topRight.js'></script> 
		<script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/noty/themes/default.js'></script>
        <!--
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/morris/raphael-min.js"></script>
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/morris/morris.min.js"></script>       
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/rickshaw/d3.v3.js"></script>
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/rickshaw/rickshaw.min.js"></script>
		-->
        <script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js'></script>
        <script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/jvectormap/jquery-jvectormap-world-mill-en.js'></script>                
        <script type='text/javascript' src='<?php echo base_url('assets')?>/js/plugins/bootstrap/bootstrap-datepicker.js'></script>                
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/owl/owl.carousel.min.js"></script>                 
        
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/moment.min.js"></script>
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/daterangepicker/daterangepicker.js"></script>
        <!-- END THIS PAGE PLUGINS-->        
        
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/bootstrap/bootstrap-file-input.js"></script>
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/bootstrap/bootstrap-select.js"></script>
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/tagsinput/jquery.tagsinput.min.js"></script>


        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/codemirror/codemirror.js"></script>        
        <script type='text/javascript' src="<?php echo base_url('assets')?>/js/plugins/codemirror/mode/htmlmixed/htmlmixed.js"></script>
        <script type='text/javascript' src="<?php echo base_url('assets')?>/js/plugins/codemirror/mode/xml/xml.js"></script>
        <script type='text/javascript' src="<?php echo base_url('assets')?>/js/plugins/codemirror/mode/javascript/javascript.js"></script>
        <script type='text/javascript' src="<?php echo base_url('assets')?>/js/plugins/codemirror/mode/css/css.js"></script>
        <script type='text/javascript' src="<?php echo base_url('assets')?>/js/plugins/codemirror/mode/clike/clike.js"></script>
        <script type='text/javascript' src="<?php echo base_url('assets')?>/js/plugins/codemirror/mode/php/php.js"></script>    

        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/summernote/summernote.js"></script>

        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins/blueimp/jquery.blueimp-gallery.min.js"></script>
        <!-- END THIS PAGE PLUGINS-->        
			
        <!-- START TEMPLATE -->
        <!-- <script type="text/javascript" src="<?php echo base_url('assets')?>/js/settings.js"></script> -->
        
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/plugins.js"></script>        
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/actions.js"></script>

        <!--
        <script type="text/javascript" src="<?php echo base_url('assets')?>/js/demo_dashboard.js"></script>-->
		<?php echo $this->layouts->print_footer(); ?>       
        <!-- END TEMPLATE -->
    <!-- END SCRIPTS -->         
    </body>
</html>






