<div class="col-md-12">
<?php if(isset($message)) echo $message; ?>
</div>
<!-- PAGE CONTENT WRAPPER -->
<div class="page-content-wrap">

    <div class="row">
        <div class="col-md-12">
            
            <form class="form-horizontal" id="userForm" method="post" enctype="multipart/form-data">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><strong>Add</strong> User</h3>
                    <ul class="panel-controls">
                        <li><a href="#" class="panel-remove"><span class="fa fa-times"></span></a></li>
                    </ul>
                </div>
                <div class="panel-body">
                    <p>This page is used for adding user.</p>
                </div>
                <div class="panel-body">                                                                        
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Name</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-user"></span></span>
                                <input type="text" name="fullname" value="" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Name</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Email</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-envelope"></span></span>
                                <input type="email" name="email" id="u_email" value="" placeholder="Some text value..." class="form-control"/>
                                <label id="err-email"></label>
                            </div>                                            
                            <span class="help-block">Email</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Display Name</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-user"></span></span>
                                <input type="text" name="display_name" value="" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Display Name</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Prefered Password</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-lock"></span></span>
                                <input type="password" name="password" value="" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Prefered Password</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Mobile NO</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-phone"></span></span>
                                <input type="text" name="ph_number" id="u_phone" value="" placeholder="Some text value..." class="form-control"/>
                                <label id="err-phone"></label>
                            </div>                                            
                            <span class="help-block">Mobile NO</span>
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Birthday</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                <input type="date" name="birthday" value="" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Birthday</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Image</label>
                        <div class="col-md-9 col-xs-12">
                            <input type="file" class="fileinput btn-primary" name="user_image" id="filename" title="Browse file" accept="image/*" />
                            
                            <span class="help-block">User image (gif, jpg, png, jpeg)</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Status</label>
                        <div class="col-md-6 col-xs-12">
                        	<select  name="status" class="form-control select">
								<option value="1">Active</option>
								<option value="2">Deactive</option>	
							</select>                                        
                            
                            <span class="help-block">Select status</span>
                        </div>
                    </div>
                    
                </div>
                <div class="panel-footer">
                                                       
                    <button type="submit" id="sb_user" class="btn btn-primary pull-right">Submit</button>
                </div>
            </div>
            </form>
            
        </div>
    </div>                    
    
</div>
<!-- END PAGE CONTENT WRAPPER -->  

<script src="http://jqueryvalidation.org/files/dist/jquery.validate.min.js"></script>
<script src="http://jqueryvalidation.org/files/dist/additional-methods.min.js"></script>

<script type="text/javascript">
    $(document).ready(function(){
        $("button[type='submit']").click(function(){
            $('#userForm').validate({
                rules: {
                    "fullname": {
                        required: true
                    },
                    "email": {
                        required: true,
                        email: true
                    },
                    "display_name": {
                        required: true
                    },
                    "password": {
                        required: true
                    },
                    "ph_number": {
                        required: true
                    },"user_image": {
                        extension: "jpg|jpeg|png|gif"
                    }
                }
            })
        });
    

        $('#u_email').on('keyup', function() {
    		//alert(100000);
    		var email_id=$('#u_email').val();
    		var fd = {
    		email_id: email_id,
    		};
    		$.ajax({
    			type: 'POST',
    			url: '<?php echo base_url(); ?>admin/user/check_email',
    			data: fd,
    			success: function(response){
    				if(response==1){
    					$('#err-email').html('Email ID Already Exist').show();
    					$('#sb_user').prop('disabled', true);
    				}else{
    					$('#err-email').hide();
    					$('#sb_user').prop('disabled', false);
    				}
    			}
    		});
        });
    	$('#u_phone').on('keyup', function() {
    		//alert(100000);
    		var uphone=$('#u_phone').val();
    		var fd = {
    		uphone: uphone,
    		};
    		$.ajax({
    			type: 'POST',
    			url: '<?php echo base_url(); ?>admin/user/check_phone',
    			data: fd,
    			success: function(response){
    				if(response==1){
    			 		$('#err-phone').html('Phone No Already Exist').show();
    			 		$('#sb_user').prop('disabled', true);
    				}else{
    					$('#err-phone').hide();
                    	$('#sb_user').prop('disabled', false);				
    				}
    			}
    		});
        });
    });
</script>