$('.clear_all').click(function(){  //clear all field
	$('#attri_search').val('');
	$('#groupStatus').val(1);
	var page = 1;
	attri_data(page);
});

$("#attributes-groups").on("click","ul.pagination li a",function(){ //change page
	var page = $(this).data("page");
	if(page){
		attri_data(page);
	}
});

$("#attributes-groups").on("change","#page_no",function(){ //change page per item
	var page = 1;
	attri_data(page);
});

/* $("#attributes-groups").on("change","#groupStatus",function(){
	var page = 1;
	attri_data(page);
}); */

$("#attributes-groups").on("click","#search_button",function(){ //search string
	var page = 1;
	attri_data(page);
});

$(document).ready(function() { //load data on load
	var page = 1;
	attri_data(page); 
});

$('#add_attri_group').click(function() { //add attributes group item
	$('#groupaction').val('add');
	$("#attributesPreview").modal("show");
});

$("#attributes-groups").on("click",".edit_attri_group",function(){ //edit attributes group item
	$('#groupaction').val('edit');
	$("#attributesPreview").modal("show");
	var gid = $(this).data('gid');
	var form_data = new FormData();
	form_data.append("gid", gid);
	$.ajax({
		url: base_url+"attributes_group/editGroup/",
		dataType: "json",
		cache: false,
		contentType: false,
		processData: false,
		data: form_data,                       
		type: "post",
		success: function(data){
			console.log(data)
			$('#groupID').val(data.result.ahid);
			$('#groupName').val(data.result.ahname);
			$('#groupRank').val(data.result.ahrank);
			$('#groupStatus').val(data.result.ahstatus);
		}
	});
});

$("#attributes-groups").on("click",".del_attri_group",function(){ //delete attributes group item
	var gid = $(this).data('gid');
	notyConfirm(gid);
});


function attri_data(page){ //list attributes group item
	var form_data = new FormData();
	var search = $('#attri_search').val();
	var status = $('#groupStatus').val();
	var page_no = $('#page_no').val();
	form_data.append("search", search);
	form_data.append("page_no", page_no);
	form_data.append("status", status);
	console.log(form_data);
	$.ajax({
		url: base_url+"attributes_group/attri_view/"+page,
		dataType: "json",
		cache: false,
		contentType: false,
		processData: false,
		data: form_data,                       
		type: "post",
		success: function(data){
			console.log(data)
			$("#attri-data").html(data.table);
			$("#pagination-data").html(data.pagination);
		}
	});
}

function group_validate(){ //validate attributes group item
	var groupName = $('#groupName').val();
	var error = 0;
	if(groupName==""){
		$("#groupName").addClass('error');
		$("#groupName").siblings().show();
		error++;
	}else{
		$("#groupName").removeClass('error');
		$("#groupName").siblings().hide();
	}
	
	if(error==0){
		return true;
	}else{
		return false;
	}
}

function notyConfirm(gid){ //comfirm delete option for attributes group
noty({
	text: 'Do you want to continue?',
	layout: 'topCenter',
	buttons: [
			{addClass: 'btn btn-success btn-clean', text: 'Ok', onClick: function($noty) {
				$noty.close();
				//noty({text: 'You clicked "Ok" button', layout: 'topRight', type: 'success'});
				
				var form_data = new FormData();
				form_data.append("gid", gid);
				$.ajax({
					url: base_url+"attributes_group/delete/",
					dataType: "json",
					cache: false,
					contentType: false,
					processData: false,
					data: form_data,                       
					type: "post",
					success: function(data){
						console.log(data)
						var page = 1;
						attri_data(page);
					}
				});
			}
			},
			{addClass: 'btn btn-danger btn-clean', text: 'Cancel', onClick: function($noty) {
				$noty.close();
				//noty({text: 'You clicked "Cancel" button', layout: 'topRight', type: 'error'});
				}
			}
		]
})                                                    
} 

