<div class="col-md-12">
<?php if(isset($message)) echo $message; ?>
</div>
<!-- PAGE CONTENT WRAPPER -->
<div class="page-content-wrap">

    <div class="row">
        <div class="col-md-12">
            
            <form class="form-horizontal" method="post" id="userForm" enctype="multipart/form-data">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Update <strong><?php echo isset($user_data['name']) && $user_data['name'] != '' ? $user_data['name'].'\'s' : 'N/A'; ?></strong> Information</h3>
                    <ul class="panel-controls">
                        <li><a href="#" class="panel-remove"><span class="fa fa-times"></span></a></li>
                    </ul>
                </div>
                <div class="panel-body">
                    <p>This page is used for update user.</p>
                </div>
                <div class="panel-body">                                                                        
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Name</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-user"></span></span>
                                <input type="text" name="fullname" value="<?php echo isset($user_data['fullname']) && $user_data['fullname'] != '' ? $user_data['fullname'] : ''; ?>" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Name</span>
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Email</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-envelope"></span></span>
                                <input type="email" name="email" value="<?php echo isset($user_data['email']) && $user_data['email'] != '' ? $user_data['email'] : ''; ?>" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Email</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Display Name</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-user"></span></span>
                                <input type="text" name="display_name" value="<?php echo isset($user_data['display_name']) && $user_data['display_name'] != '' ? $user_data['display_name'] : ''; ?>" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Display Name</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Mobile NO</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-phone"></span></span>
                                <input type="text" name="ph_number" value="<?php echo isset($user_data['ph_number']) && $user_data['ph_number'] != '' ? $user_data['ph_number'] : ''; ?>" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Mobile NO</span>
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Birthday</label>
                        <div class="col-md-6 col-xs-12">                                            
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                <input type="date" name="birthday" value="<?php echo isset($user_data['birthday']) && $user_data['birthday'] != '' ? $user_data['birthday'] : ''; ?>" placeholder="Some text value..." class="form-control"/>
                            </div>                                            
                            <span class="help-block">Birthday</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">User Image</label>
                        <div class="col-md-9 col-xs-12">
                            <input type="file" class="fileinput btn-primary" name="user_image" id="filename" title="Browse file" accept="image/*" />
                            <img id="blah" src="<?php if($user_data['user_image'] !=''){ echo base_url().'uploads/user/'.$user_data['user_image'];}else{echo base_url().'uploads/noimage.png';} ?>" alt="your image" style="width: 74px;" />
                            <span class="help-block">User image (gif, jpg, png, jpeg)</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Status</label>
                        <div class="col-md-6 col-xs-12">
                        	<select  name="status" class="form-control select">
								<option value="1" <?php echo $user_data['status'] == 1 ? 'selected' : ''; ?>>Active</option>
								<option value="2" <?php echo $user_data['status'] == 2 ? 'selected' : ''; ?>>Deactive</option>	
							</select>                                        
                            
                            <span class="help-block">Select status</span>
                            
                        </div>
                    </div>
                    
                </div>
                <div class="panel-footer">
                                                       
                    <button type="submit" id="sb_user" class="btn btn-primary pull-right">Submit</button>
                </div>
            </div>
            </form>
            
        </div>
    </div>                    
    
</div>
<!-- END PAGE CONTENT WRAPPER -->  

<script src="http://jqueryvalidation.org/files/dist/jquery.validate.min.js"></script>
<script src="http://jqueryvalidation.org/files/dist/additional-methods.min.js"></script>

<script type="text/javascript">
    $(document).ready(function(){
        $("button[type='submit']").click(function(){
            $('#userForm').validate({
                rules: {
                    "fullname": {
                        required: true
                    },
                    "email": {
                        required: true,
                        email: true
                    },
                    "display_name": {
                        required: true
                    },
                    "password": {
                        required: true
                    },
                    "ph_number": {
                        required: true
                    },"user_image": {
                        extension: "jpg|jpeg|png|gif"
                    }
                }
            })
        });
    });
</script>